Subject: Re: [PATCH 3/7] grep: typesafe versions of grep_source_init

From: Emily Shaffer <[email-masked]>
Date: Wed, 11 Aug 2021 14:42:20 -0700

On Tue, Aug 10, 2021 at 11:28:41AM -0700, Jonathan Tan wrote:
> 
> grep_source_init() can create "struct grep_source" objects and,
> depending on the value of the type passed, some void-pointer parameters have
> different meanings. Because one of these types (GREP_SOURCE_OID) will
> require an additional parameter in a subsequent patch, take the
> opportunity to increase clarity and type safety by replacing this
> function with individual functions for each type.
> 
> Signed-off-by: Jonathan Tan <[email-masked]>
Like Junio said, it is very neat.

Reviewed-by: Emily Shaffer <[email-masked]>